Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361176 - [RFE] Chargeback of containers based on tags
Summary: [RFE] Chargeback of containers based on tags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.6.2
Assignee: Ari Zellner
QA Contact: Einat Pacifici
URL:
Whiteboard: container:chargeback
Depends On: 1357214
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 12:45 UTC by John Prause
Modified: 2016-10-04 14:29 UTC (History)
8 users (show)

Fixed In Version: 5.6.2.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1357214
Environment:
Last Closed: 2016-10-04 14:29:14 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1996 normal SHIPPED_LIVE Important: CFME 4.1 bug fixes and enhancement update 2016-10-04 18:26:13 UTC

Comment 2 Ari Zellner 2016-08-30 12:06:44 UTC
Upstream PR: https://github.com/ManageIQ/manageiq/pull/10671

Comment 4 Oleg Barenboim 2016-09-06 15:50:46 UTC
https://github.com/ManageIQ/manageiq/pull/10784 has been backported to Darga:

$ git log

commit 242053d4867621d3f977d2f38ea8809892144be5
Author: Jason Frey <fryguy9@gmail.com>
Date:   Tue Aug 30 17:45:09 2016 -0400

    Merge pull request #10784 from zeari/rollup_disconnected_entities
    
    Rollup disconnected container group metrics to container projects
    (cherry picked from commit 3a44b5a3e092a1ddbdc7613c682ebcaa61e73353)

Comment 5 Oleg Barenboim 2016-09-06 15:54:04 UTC
https://github.com/ManageIQ/manageiq/pull/10788 has been backported to Darga:

$ git log

commit de3ced3c9c3acc8ac2fa6acb473b6b5728860206
Author: Gregg Tanzillo <gtanzill@redhat.com>
Date:   Thu Sep 1 18:22:23 2016 -0400

    Merge pull request #10788 from zeari/base_containerProjectChargeback_on_ContainerProject_metrics
    
    base containerProjectChargeback on ContainerProject metrics (depends on #10784)
    (cherry picked from commit d178f083e8dd92ad9cf04918588a9dd0dac0d545)

Comment 6 Oleg Barenboim 2016-09-06 15:56:48 UTC
https://github.com/ManageIQ/manageiq/pull/10671 has been backported to Darga:

$ git log

commit 5810554f3ee15574c4ded3f3717bf4cb3e0c56c6
Author: Gregg Tanzillo <gtanzill@redhat.com>
Date:   Thu Sep 1 18:22:43 2016 -0400

    Merge pull request #10671 from zeari/chargeback_group_by_tags
    
    Chargeback group by tags
    (cherry picked from commit 21b63854f491d58c8e51dd9751331856fb95aa08)

Comment 7 Federico Simoncelli 2016-09-07 13:31:59 UTC
Ari can you check if we can move this to POST (all the required PRs are backported). Thanks.

Comment 8 Ari Zellner 2016-09-12 12:41:14 UTC
These reports fail for VM's. 
fix is here: https://github.com/ManageIQ/manageiq/pull/11010

Comment 9 Federico Simoncelli 2016-09-12 13:55:36 UTC
The relevant 5.7 bug 1357214 is already to ON_QA, so there's definitely something wrong here.

Why for this 5.6.2 BZ (deadline was last Friday) are we still ON_DEV even though the PRs mentioned in bug 1357214 are all backported?

Why are we implying that this 5.6.2 BZ is waiting for a PR that is not even marked for darga?

  https://github.com/ManageIQ/manageiq/pull/11010

Comment 10 Ari Zellner 2016-09-12 13:59:10 UTC
It was always unclear if all these features should also be implemented for VM's. While looking to see if we can move this to post i noticed that part wasnt in and thought to mention it. If it shoudlnt be implemented for vms we can definitely move this to post.

Comment 15 errata-xmlrpc 2016-10-04 14:29:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1996.html


Note You need to log in before you can comment on or make changes to this bug.